<?php
/*
Plugin Name: DP Post Views Counter
Plugin URI: https://denyspopov.com/dp-post-views
Description:  The plugin show how many people have viewed an article on the site.
Version: 1.2
Author: Denys Popov
Author URI: https://denyspopov.com
License:           GPLv3 or later
License URI:       http://www.gnu.org/licenses/gpl-3.0.html
*/
include dirname(__FILE__).'/dppv_check.php';


register_activation_hook(__FILE__, 'dppv_create_field' );

add_filter('the_content', 'dppv_post_views');

add_action('wp_head', 'dppv_add_view');
add_action ('wp_enqueue_scripts', 'wp_register_style_script_dppv');

add_shortcode( 'postviews' , 'dppv_post_views');

function wp_register_style_script_dppv(){
  wp_register_style ('dppv-style-view', plugins_url('stylesheet/style.css', __FILE__ ));
  
  
  
  wp_enqueue_style('dppv-style-view');
}

function dppv_create_field(){
  global $wpdb;
  
  if( !dppv_check_field('dppv_views')){
    $query = "ALTER TABLE $wpdb->posts ADD dppv_views INT NOT NULL DEFAULT '0'";
    $wpdb->query($query);
  }
}

function dppv_post_views($content){
   if (is_page()) return $content; 
   global $post;
  
  
  $views = $post->dppv_views;
  if(is_single()) $views += 1;
  $img = "<img src='" . plugins_url('images/eyes.png', __FILE__ ) . "' class='dppv_eyes' width='100' height='100'>";
  return  $content . ' ' . $img .' '. $views ; 
  
}

function dppv_add_view(){
   if( !is_single() ) return;
  global $post, $wpdb;
  
  $dppv_id = $post -> ID;
  $views = $post->dppv_views + 1;
  $wpdb->update(
    $wpdb->posts,
    array("dppv_views" => $views),
    array("ID" => $dppv_id)    
  );
}